  
  Last updated June 29, 1994

  This directory contains various libraries and utilities developed by
William Gropp and Barry Smith. They are specifically written to assist
in the numerical solution of PDEs, but many are general purpose.

  The complete package is called PETSc (Portable, Extensible, Toolkit 
for Scientific Computation)

  Direct all comments, criticisms to bsmith or gropp@mcs.anl.gov

Summaries
  *  Overview_petsc.ps - Overview of entire PETSc Package.
  *  Overview_*.ps     - Overview of particular pieces of PETSc.

User Manuals
  *  chameleon.ps - Manual for Chameleon, portable message passing system
                    runs on p4, PVM and most parallel machines.
  *  sles.ps      - Manual for SLES. State of the Art Linear Equation Solver.
  *  ksp.ps       - Manual for data-structure-neutral Krylov space methods;
                    these same codes will run on virtually all machines and 
                    any users data structures.

Papers and Technical Reports
  *  miss.ps.Z    - paper describing the basic design of PETSc.
  *  P356.ps        paper on the philosophy behind the design of KSP which is
                    part of PETSc. 
  *  context.ps.Z - postscript version of a set of slides (transparencies)
                    that introduce the concept of CONTEXT VARIABLES,
                    from which much of PETSc is organized.
  *  imacs94.ps.Z - slides from talk given at IMACS 94 in Atlanta on complete 
                    data-structure-neutral sequential PDE solvers in PETSc.
  *  como.ps.Z -    paper by Gropp and Smith on the numerical use of overlapping 
                    Schwarz methods for the solution of linear elliptic PDEs
                    in three dimensions.
  *  TM177.ps.Z, TR93-41.ps.Z - Reports on early experiences with the IBM Sp1
                    parallel machine.

Software
  *  tools_comm.tar.Z - This contains the parallel communications routines
                        from the "tools" code.  This includes routines for message passing,
                        block communications, and the "upshot" program.  The name of this
                        package will be changing soon.
  *  sles.tar.Z -       This contains the linear system solvers, including
                        the "solvers" routines, iterative methods, and sparse matrix code.
  *  chameleon.tar.Z -  This contains the Chameleon message-passing system
  *  tools.tar.Z -      This contains everything.

Software unrelated to PETSc 

  matlabsockets.tar.Z - Unrelated software which allows running C or
                        Fortran programs to display graphics using 
                        Matlab, running on the same or a different 
                        machine.
 
  extranice.c         - a utility that allows your submitted jobs to be suspended 
                        when the machine is heavily loaded or when certain 
                        users (like Professors or bosses) are using the machine  



