ITOOLSDIR = /home/gropp/tools.n

ITOOLSDIR = ../..

ALL: example1 example2 example3 tst2d tst3d tst4d
#
IFILES    = -I$(ITOOLSDIR)
CFLAGS    = $(IFILES) $(COPT) $(OPT) 
FFLAGS    = $(OPT)
FMAIN     = $(LDIR)/fmain$(COMM).o
FFACE     = -lpetscfort$(COMM) -lpetscfort 
LIBS      = -L$(LDIR) $(FFACE) -lpeblkcm$(COMM) \
		-lpecomm$(COMM) -lpetsc -lpecore -lm
LIBBASE   = dummy
CLEANFILES = example[123].o disp.o tst[234]d.o example[123] tst[234]d

example_progs: example1 example2 example3 tst2d tst3d tst4d
run_examples:
	example1 -np 4 -mem 4
	example2 -np 4 -mem 4
	example3 -np 4 -mem 4
	tst2d    -np 4 -mem 4
	tst3d    -np 4 -mem 4
	tst4d    -np 4 -mem 4
test_progs:
run_tests:

example1: example1.o 
	$(FLINKER) -o example1 $(FFLAGS) $(FMAIN) example1.o \
	              $(LIBS) $(CLIB) $(SLIB)
example2: example2.o disp.o 
	$(FLINKER) -o example2 $(FFLAGS) $(FMAIN) example2.o disp.o \
	              $(LIBS) $(CLIB) $(SLIB)
example3: example3.o disp.o 
	$(FLINKER) -o example3 $(FFLAGS) $(FMAIN) example3.o disp.o \
	              $(LIBS) $(CLIB) $(SLIB)
example4: example4.o
	$(CLINKER) -o example4 $(CFLAGS) example4.o \
	              $(LIBS) $(CLIB) $(SLIB)
tst2d: tst2d.o disp.o
	$(FLINKER) -o tst2d $(FFLAGS) $(FMAIN) tst2d.o disp.o \
	              $(LIBS) $(CLIB) $(SLIB)
tst3d: tst3d.o disp.o
	$(FLINKER) -o tst3d $(FFLAGS) $(FMAIN) tst3d.o disp.o \
	              $(LIBS) $(CLIB) $(SLIB)
tst4d: tst4d.o disp.o
	$(FLINKER) -o tst4d $(FFLAGS) $(FMAIN) tst4d.o disp.o \
	              $(LIBS) $(CLIB) $(SLIB)
# 
# Add -DUSEX to force disp.c to display using parallel graphics; 
# Add -lpetscgrf$(COMM) -lpetscgrf BEFORE the tools libraries.
disp.o: disp.c
	$(CC) -c $(BASEOPT) $(CFLAGS) disp.c


############ makefile.tree
cctree: ccall
ccforttree: ccfort
cleantree: clean 
	@-if [ -n "$(EXAMPLE_DIRS)" ] ; then \
	for dir in $(EXAMPLE_DIRS) foo ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done ; fi

wrappers:
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
############ makefile.tree

LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)
include $(ITOOLSDIR)/bmake/$(ARCH).$(COMM)


ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild:
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
