ITOOLSDIR = ../..

ALL: lib
#
IFILES    = -I$(ITOOLSDIR)
CFLAGS    = $(IFILES) $(COPT) $(OPT) 
FFLAGS    = $(OPT)
LIBBASE   = libpeblkcm$(COMM)

SOURCEC  = eforce.c rwait.c support.c syncsend.c schesend.c
SOURCEF  =
WSOURCEC = eforcef.c supportf.c syncsendf.c schesendf.c
OBJSC    = eforce.o rwait.o support.o syncsend.o schesend.o
WOBJS    = eforcef.o supportf.o syncsendf.o schesendf.o
LOCAL_INCLUDE = ../bc.h ../bcp.h ../mesh.h \
	$(ITOOLSDIR)/comm/comm.h $(ITOOLSDIR)/comm/commnx.h \
	$(ITOOLSDIR)/comm/commpvm.h $(ITOOLSDIR)/comm/commp4.h \
	$(ITOOLSDIR)/comm/commpicl.h \
	$(ITOOLSDIR)/comm/commcm5.h $(ITOOLSDIR)/comm/commn3.h \
	$(ITOOLSDIR)/comm/commdef.h $(ITOOLSDIR)/comm/logging.h
############ makefile.tree
cctree: ccall
ccforttree: ccfort
cleantree: clean 
	@-if [ -n "$(EXAMPLE_DIRS)" ] ; then \
	for dir in $(EXAMPLE_DIRS) foo ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done ; fi

wrappers:
	-$(ITOOLSDIR)/c2fort/bfort -nomsgs -anyname -mapptr -I pubinc $(SOURCEC) $(SOURCEH)
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		-I pubinc $(SOURCEC) $(SOURCEH)
	-$(ITOOLSDIR)/doc/doc2lt $(SOURCEC) $(SOURCEH) >> \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
############ makefile.tree

LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SOURCE  = $(SOURCEC) $(SOURCEF)
OBJS    = $(OBJSC) $(OBJSF)
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)
include $(ITOOLSDIR)/bmake/$(ARCH).$(COMM)

$(LIBNAME)($(OBJS)): $(LOCAL_INCLUDE)

ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild:
	-$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(SOURCEC)
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
	$(AR) clr $(LIBNAME) $(OBJS)
	$(RM) $(OBJS)
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(WSOURCEC) ; \
 	$(AR) clr $(LDIR)/libpetscfort$(COMM).a $(WOBJS) ; \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
