ITOOLSDIR = /home/gropp/tools.n

ITOOLSDIR = ..

ALL: cctree
#
IFILES   = -I$(ITOOLSDIR)
CFLAGS   = $(IFILES) $(OPT) $(COPT) 
FFLAGS   = $(OPT)
SOURCEH  = bc.h common.h mesh.h
LIBBASE  = libpeblkcm$(COMM)
DIRS     = defn compile exec mesh copy
EXAMPLE_DIRS = examples

example_progs:
	(cd examples ; make -f makefile example_progs)
run_examples:
	(cd examples ; make -f makefile run_examples)
test_progs:
run_tests:
############ makefile.sdir
cctree:
	-$(MAKE) BOPT=$(BOPT) -f makefile ccbuild
	@-for dir in $(DIRS) ; do \
		if [ -s $$dir ] ; then ( cd $$dir ; echo "$$dir" ; \
		$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) \
		-f makefile cctree ) ; fi ; done
	$(RANLIB) $(LIBNAME)
ccforttree:
	-$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) -f makefile ccfort
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then ( cd $$dir ; \
		echo $$dir ; \
		$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) \
		-f makefile ccforttree ) ; fi ; done

cleantree:
	-$(MAKE) -f makefile clean
	@-for dir in $(DIRS) $(EXAMPLE_DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done

wrappers:
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile wrappers ) ; fi ; \
	done
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile manpages ) ; fi ; \
	done
############ makefile.sdir
LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)
include $(ITOOLSDIR)/bmake/$(ARCH).$(COMM)


ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild:
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
