ITOOLSDIR = /home/gropp/tools.n

ITOOLSDIR = ../../..

ALL: twin gop tcomm stress bisect
#
#   Makefile for the Angst project
#
SRC     = tcomm.c twin.c gop.c topology.c stress.c bisect.c
#
CFLAGS    = -I$(ITOOLSDIR) $(OPT) $(COPT) -DLOGCOMMDISABLE
CFLAGSX   = -I$(ITOOLSDIR) $(OPT) $(COPT) 
#
LIBS      = -L$(LDIR) -lpecomm$(COMM) -lpetsc -lpecore
XLIBS     = -L$(LDIR) -lpetscgrf$(COMM) -lpetscgrf $(X11LIB) -lpecore
GLIBS     = -L$(LDIR) -lpetscgrf
#XLIBS     =  -L$(LDIR) -lpetscgrf $(X11LIB)
#XLIBS     =
CLEANFILES = tcomm.o gop.o twin.o bisect.o topology.o stress.o stressx11.o \
	     tcomm gop twin bisect stress stressx11 tcommx11
LIBBASE = dummy

example_progs: twin gop tcomm stress bisect
run_examples: example_progs
	twin -np 2  -mem 4 -reps 10
	gop -np 2   -mem 4 -reps 10
	tcomm -np 4 -mem 4
	stress -np 4 -mem 4 -cpu 10
	bisect -np 4 -mem 4
test_progs:
run_tests:
	

gop : gop.o angst.h topology.o
	$(CLINKER) $(CFLAGS) $(BASEOPT) -o gop gop.o topology.o \
		$(LIBS) $(CLIB) $(SLIB)
twin : twin.o angst.h topology.o
	$(CLINKER) $(CFLAGSX) $(BASEOPT) -o twin twin.o topology.o \
		$(LIBS) $(CLIB) $(SLIB)
bisect : bisect.o angst.h
	$(CLINKER) $(CFLAGSX) $(BASEOPT) -o bisect bisect.o \
		$(LIBS) $(CLIB) $(SLIB)
stress : stress.o 
	$(CLINKER) $(CFLAGSX) $(BASEOPT) -o stress stress.o \
		$(LIBS) $(CLIB) $(SLIB)

tcomm : tcomm.o
	$(CLINKER) $(CFLAGS) $(BASEOPT) -o tcomm tcomm.o $(GLIBS) $(LIBS) \
		$(CLIB) $(SLIB) -lm
	$(RM) -f tcomm.o

tcommx11 : tcommx11.o
	$(CLINKER) $(CFLAGS) $(BASEOPT) -o tcommx11 tcommx11.o \
		$(LIBS) $(XLIBS) $(CLIB) $(SLIB) -lm

stressx11 : stressx11.o
	$(CLINKER) $(CFLAGS) $(BASEOPT) -o stressx11 stressx11.o \
		$(XLIBS) $(LIBS) $(CLIB) $(SLIB) -lm

twinv : twin.c angst.h topology.c
	$(CLINKER) $(CFLAGSX) $(BASEOPT) -DVFP -o twin twin.c topology.c \
	$(LIBS) $(XLIBS) $(CLIB) $(SLIB) -lm
	$(RM) -f *.o

tcommx11.o: tcomm.c
	$(CC) -c $(CFLAGSX) $(BASEOPT) -DPRGS tcomm.c
	/bin/mv -f tcomm.o tcommx11.o
stressx11.o: stress.c
	$(CC) -c $(CFLAGSX) $(BASEOPT) -DPRGS stress.c
	/bin/mv -f stress.o stressx11.o
############ makefile.tree
cctree: ccall
ccforttree: ccfort
cleantree: clean 
	@-if [ -n "$(EXAMPLE_DIRS)" ] ; then \
	for dir in $(EXAMPLE_DIRS) foo ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done ; fi

wrappers:
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
############ makefile.tree

LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)
include $(ITOOLSDIR)/bmake/$(ARCH).$(COMM)


ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild:
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
