ITOOLSDIR = ../..

ALL: lib

LIBBASE  = libpecomm$(COMM)

CFLAGS   = $(COPT) $(OPT) -I$(ITOOLSDIR)
SOURCEC  = gcol.c gcolx.c global.c gmax.c gor.c gscat.c gsethalf.c \
	   gsetop.c gsetopp.c gsum.c gsync.c gtoken.c
SOURCEF  =
WSOURCEC  = globalf.c gtokenf.c
SOURCEH  = global.h
OBJSC    = gcol.o gcolx.o global.o gmax.o gor.o gscat.o gsethalf.o \
	   gsetop.o gsetopp.o gsum.o gsync.o gtoken.o
OBJSF    =
WOBJS    = globalf.o gtokenf.o
LOCAL_INCLUDE = ../procset.h $(SOURCEH) \
	../comm.h ../commnx.h ../commpvm.h ../commp4.h \
	../commpicl.h ../commcm5.h ../commn3.h ../commdef.h ../logging.h
foo: foo.o
	$(CLINKER) -o foo foo.o $(LIBNAME) -L$(LDIR) -lpecore

############ makefile.tree
cctree: ccall
ccforttree: ccfort
cleantree: clean 
	@-if [ -n "$(EXAMPLE_DIRS)" ] ; then \
	for dir in $(EXAMPLE_DIRS) foo ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done ; fi

wrappers:
	-$(ITOOLSDIR)/c2fort/bfort -nomsgs -anyname -mapptr -I pubinc $(SOURCEC) $(SOURCEH)
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		-I pubinc $(SOURCEC) $(SOURCEH)
	-$(ITOOLSDIR)/doc/doc2lt $(SOURCEC) $(SOURCEH) >> \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
############ makefile.tree

LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SOURCE  = $(SOURCEC) $(SOURCEF)
OBJS    = $(OBJSC) $(OBJSF)
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)
include $(ITOOLSDIR)/bmake/$(ARCH).$(COMM)

$(LIBNAME)($(OBJS)): $(LOCAL_INCLUDE)

ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild:
	-$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(SOURCEC)
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
	$(AR) clr $(LIBNAME) $(OBJS)
	$(RM) $(OBJS)
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(WSOURCEC) ; \
 	$(AR) clr $(LDIR)/libpetscfort$(COMM).a $(WOBJS) ; \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
