#ifndef lint
static char vcidI[] = "$Id: initmpi.c,v 1.1 1994/11/08 20:45:04 gropp Exp $";
#endif

/*
    MPI-specific routines
 */
MPI_Status __STATUS;
int __NUMNODES, __MYPROCID, __MPILEN, __FLAG;

/*
    exitall - terminate all processes in an execution (parallel exit)
    See init.c for a complete description of the interface
 */
static void mpiexitall(msg,rc)
char *msg;
int  rc;
{
MPI_Abort( MPI_COMM_WORLD, 1 );
}

#define PI_HAS_PIINIT
void PIinit()
{
PISetupCollectiveTree( );
}

int PIiInit( argc, argv )
int *argc;
char ***argv;
{
int rc;

MPI_Init( argc, argv );
MPI_Comm_size( MPI_COMM_WORLD, &__NUMNODES );
MPI_Comm_rank( MPI_COMM_WORLD, &__MYPROCID );

SYSetExitAll(mpiexitall);
#if !defined(LOGCOMMDISABLE)
PIGetDebugArgs( argc, *argv, mynode() == 0 );
#endif

/* Initialize the communications (particularly the collective operations) */
PIinit();

PIinitlog( );
PISummaryClear();
/* Remove -np argument before calling user routine, if it remains */
{int d;
SYArgGetInt( argc, *argv, 1, "-np", &d );
 }
return 0;
}

int PIiFinish()
{
PIendlog();
MPI_Finalize();
return 0;
}

int PIcall( np, procgroup, pfname, routine, argc, argv )
int  np, argc;
char **procgroup, *pfname;
char **argv;
int  (*routine)();
{
int rc;

if (rc = PIiInit( &argc, &argv )) return rc;
rc = (*routine)( argc, argv );
PIiFinish();
return rc;
}

#define PI_HAS_EXIT
#define PI_HAS_INIT

#define PI_HAS_NODENAME

void PINodeName( name, maxlen )
char *name;
int  maxlen;
{
int rlen;
MPI_Get_processor_name( name, &rlen );
}
