#ifndef lint
static char vcidI[] = "$Id: initnx.c,v 1.3 1994/08/12 19:44:58 gropp Exp $";
#endif

/*
    Intel-NX specific routines
 */
int  __NXFROM, __NXLEN, __NXINFOSET;

/*
    exitall - terminate all processes in an execution (parallel exit)
    See init.c for a complete description of the interface
 */
static void nxexitall(msg,rc)
char *msg;
int  rc;
{
/* NOP on NX/Paragon and not present in SUNMOS/Paragon */
#ifndef intelparagon
killproc( -1, 0 );
#endif
}

#define PI_HAS_PIINIT
void PIinit()
{
#if defined(inteldelta)
{ 
int nx, ny;
mypart( &nx, &ny );
PISetMeshSize( nx, ny );
}
PISetNbrRoutine( PIGetNbrsMSH );

/* Strangely enough, the paragon provides no access to the partition shape */
#elif defined(intelparagon)
{ 
int nx;
nx = nodedim();
PISetMeshSize( nx, 1 );
}
PISetNbrRoutine( PIGetNbrsMSH );
#else
PISetDim( nodedim() );
PISetNbrRoutine( PIGetNbrsHC );
#endif
PISetupCollectiveTree( );
}

int PIiInit( argc, argv )
int *argc;
char ***argv;
{
int rc;

SYSetExitAll(nxexitall);
#if !defined(LOGCOMMDISABLE)
PIGetDebugArgs( argc, *argv, mynode() == 0 );
#endif

/* Initialize the communications (particularly the collective operations) */
PIinit();

PIinitlog( );
PISummaryClear();
/* Remove -np argument before calling user routine, if it remains */
{int d;
SYArgGetInt( argc, *argv, 1, "-np", &d );
 }
return 0;
}

int PIiFinish()
{
PIendlog();
return 0;
}

int PIcall( np, procgroup, pfname, routine, argc, argv )
int  np, argc;
char **procgroup, *pfname;
char **argv;
int  (*routine)();
{
int rc;

if (rc = PIiInit( &argc, &argv )) return rc;
rc = (*routine)( argc, argv );
PIiFinish();
return rc;
}

#define PI_HAS_EXIT
#define PI_HAS_INIT

int PInxIprobe( type )
int type;
{
int rc;

rc       = iprobe(type);
if (rc) {
    __NXFROM = infonode();
    __NXLEN  = infocount();
    }

return rc;
}

#define PI_HAS_NODENAME
#include <sys/types.h>
#if !defined(intelparagon)
#include <nxinfo.h>
#define PHYNODE() nxinfo.physnode
#else
#define PHYNODE() PImytid
#endif

void PINodeName( name, maxlen )
char *name;
int  maxlen;
{
char b1[20];
sprintf( b1, "%d", PHYNODE() );
strncpy( name, b1, maxlen );
}
