ITOOLSDIR = /home/gropp/tools.n

ITOOLSDIR = ../..

ALL: lib 

#
# The piuntree file is (virtually) empty if -DHAS_UNITREE is not defined
LIBBASE  = libpecomm$(COMM)
CFLAGS   = $(COPT) $(OPT) -I$(ITOOLSDIR) 
SOURCEC  = pibase.c pidebug.c pieach.c pio.c \
	   piobuf.c piofb.c piounbuf.c piunix.c pioreg.c \
	   piodreg.c piunitree.c
SOURCEF  =
WSOURCEC = pibasef.c pidebugf.c piof.c \
	   piobuff.c piofbf.c 
SOURCEH  = pio.h
OBJSC    = pibase.o pidebug.o pieach.o pio.o \
	   piobuf.o piofb.o piounbuf.o piunix.o pioreg.o \
	   piodreg.o piunitree.o
WOBJS    = pibasef.o pidebugf.o piof.o \
	   piobuff.o piofbf.o 
OBJSF    =
LIBS      = -L$(LDIR) -lpecomm$(COMM) -lpetsc -lpecore 
LOCAL_INCLUDE = $(SOURCEH) ../procset.h ../comm.h
CLEANFILES = example[1-4] foo.even foo.odd foo test1 PI*

example_progs: example1 example2 example3 example4 test1
run_examples:
	example1 -np 2 -mem 4
	example2 -np 2 -mem 4
	example3 -np 2 -mem 4 -wsize 4096 -rsize 4096
	example4 -np 2 -mem 4
	test1    -np 4 -mem 4 -nx 16 -ny 16 -pio -block
test_progs:
run_tests:

example1: example1.o $(SOURCE)
	$(CLINKER) -o example1 $(CFLAGS) $(BASEOPT) example1.o \
			$(LIBS) $(CLIB) $(SLIB) -lm
test1: test1.o $(SOURCE)
	$(CLINKER) -o test1 $(CFLAGS) $(BASEOPT) test1.o \
			$(LIBS) $(CLIB) $(SLIB) -lm
example2: example2.o $(SOURCE)
	$(CLINKER) -o example2 $(CFLAGS) $(BASEOPT) example2.o \
			$(LIBS) $(CLIB) $(SLIB) -lm
example3: example3.o $(SOURCE)
	$(CLINKER) -o example3 $(CFLAGS) $(BASEOPT) example3.o \
			$(LIBS) $(CLIB) $(SLIB) -lm
example4: example4.o $(SOURCE)
	$(CLINKER) -o example4 $(CFLAGS) $(BASEOPT) example4.o \
			$(LIBS) $(CLIB) $(SLIB) -lm


############ makefile.tree
cctree: ccall
ccforttree: ccfort
cleantree: clean 
	@-if [ -n "$(EXAMPLE_DIRS)" ] ; then \
	for dir in $(EXAMPLE_DIRS) foo ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done ; fi

wrappers:
	-$(ITOOLSDIR)/c2fort/bfort -nomsgs -anyname -mapptr -I pubinc $(SOURCEC) $(SOURCEH)
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		-I pubinc $(SOURCEC) $(SOURCEH)
	-$(ITOOLSDIR)/doc/doc2lt $(SOURCEC) $(SOURCEH) >> \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
############ makefile.tree

LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SOURCE  = $(SOURCEC) $(SOURCEF)
OBJS    = $(OBJSC) $(OBJSF)
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)
include $(ITOOLSDIR)/bmake/$(ARCH).$(COMM)

$(LIBNAME)($(OBJS)): $(LOCAL_INCLUDE)

ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild:
	-$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(SOURCEC)
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
	$(AR) clr $(LIBNAME) $(OBJS)
	$(RM) $(OBJS)
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(WSOURCEC) ; \
 	$(AR) clr $(LDIR)/libpetscfort$(COMM).a $(WOBJS) ; \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
