ITOOLSDIR = /home/gropp/tools.n

ITOOLSDIR = ..

ALL: lib workers iface

LIBBASE  = libpecomm$(COMM)

CFLAGS   = $(COPT) $(OPT) -I$(ITOOLSDIR)
SOURCEC  = args.c csync.c daemon.c dist.c fcall.c ialog.c init.c \
           mesh2d.c nbrs.c pcnt.c pdebug.c procset.c  \
	   gray.c hosts.c basename.c pvfp.c manyarch.c rate.c \
	   runpprog.c pprint.c
SOURCEF  =
WSOURCEC = ialogf.c initf.c \
           nbrsf.c pcntf.c pdebugf.c procsetf.c  \
	   ratef.c \
	   procsethf.c commnamehf.c lftcomm.c
SOURCEH  = hosts.h comm.h commnx.h commpvm.h commp4.h commpicl.h \
	commcm5.h commn3.h commdef.h logging.h procset.h commeui.h \
	newnames.h hosts.h nbr.h commmpi.h commname.h

OBJSC    = args.o csync.o daemon.o dist.o fcall.o ialog.o init.o \
           mesh2d.o nbrs.o pcnt.o pdebug.o procset.o  \
	   gray.o hosts.o basename.o pvfp.o manyarch.o rate.o \
	   runpprog.o pprint.o 
OBJSF    =
WOBJS    = ialogf.o initf.o \
           nbrsf.o pcntf.o pdebugf.o procsetf.o  \
	   ratef.o \
	   procsethf.o commnamehf.o lftcomm.o

# 
# To include an object file that depends on the architecture, use
# SOURCE = ... name$(ARCH) or name$(COMM).  We may want to provide a
# subarch to distinquish between things like intel/i860 and delta/paragon.
#

LOCAL_INCLUDE = $(SOURCEH)
init.o: initnx.c initp4.c initpicl.c initpvm.c initcm5.c \
	initeui.c initpvm3.c fmain.c cmain.c

#
# If it wasn't for EUI, we would need only a single version of these.  
# EUI (through mpcc) renames the global "main" to "mp_init".
workers: fmain.c cmain.c
	$(CC) -c $(CFLAGS) $(BASEOPT) fmain.c cmain.c
	mv fmain.o $(LDIR)/fmain$(COMM).o
	mv cmain.o $(LDIR)/cmain$(COMM).o

#
# Because PICL and NX have global names that can not be distinguished on
# some systems (e.g., rs6000's), we build separate object files for each.
iface:
	$(CC) -c $(CFLAGS) $(BASEOPT) -DBUILDPICLC picl2comm.c	
	mv picl2comm.o $(LDIR)/picl2commC$(COMM).o
	$(CC) -c $(CFLAGS) $(BASEOPT) -DBUILDNXC nx2comm.c	
	mv nx2comm.o $(LDIR)/nx2commC$(COMM).o
	$(CC) -c $(CFLAGS) $(BASEOPT) picl2comm.c	
	mv picl2comm.o $(LDIR)/picl2comm$(COMM).o
	$(CC) -c $(CFLAGS) $(BASEOPT) nx2comm.c	
	mv nx2comm.o $(LDIR)/nx2comm$(COMM).o
	$(CC) -c $(CFLAGS) $(BASEOPT) -DPICL2 picl2comm.c	
	mv picl2comm.o $(LDIR)/picl22commC$(COMM).o

runp: runpprog.c
	$(CC) -c $(CFLAGS) $(BASEOPT) -DDOTEST runpprog.c
	$(CC) -o runp runpprog.o -L$(LDIR) -lpecore $(SLIB)
	$(RM) -f runpprog.o

#WARNING: CCALL DOES NOT DO THE IFACE or WORKERS ROUTINES

DIRS = global io htable pgcomm schedule
EXAMPLE_DIRS = examples

test_progs:
	(cd examples ; make -f makefile test_progs )
	(cd io ; make -f makefile test_progs )
example_progs:
	(cd examples ; make -f makefile example_progs )
	(cd io ; make -f makefile example_progs )
run_examples:
	(cd examples ; make -f makefile run_examples )
	(cd io ; make -f makefile run_examples )
run_tests:
############ makefile.sdir
cctree:
	-$(MAKE) BOPT=$(BOPT) -f makefile ccbuild
	@-for dir in $(DIRS) ; do \
		if [ -s $$dir ] ; then ( cd $$dir ; echo "$$dir" ; \
		$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) \
		-f makefile cctree ) ; fi ; done
	$(RANLIB) $(LIBNAME)
ccforttree:
	-$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) -f makefile ccfort
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then ( cd $$dir ; \
		echo $$dir ; \
		$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) \
		-f makefile ccforttree ) ; fi ; done

cleantree:
	-$(MAKE) -f makefile clean
	@-for dir in $(DIRS) $(EXAMPLE_DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done

wrappers:
	-$(ITOOLSDIR)/c2fort/bfort -nomsgs -anyname -mapptr -I pubinc $(SOURCEC) $(SOURCEH)
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile wrappers ) ; fi ; \
	done
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		-I pubinc $(SOURCEC) $(SOURCEH)
	-$(ITOOLSDIR)/doc/doc2lt $(SOURCEC) $(SOURCEH) >> \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile manpages ) ; fi ; \
	done
############ makefile.sdir
LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SOURCE  = $(SOURCEC) $(SOURCEF)
OBJS    = $(OBJSC) $(OBJSF)
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)
include $(ITOOLSDIR)/bmake/$(ARCH).$(COMM)

$(LIBNAME)($(OBJS)): $(LOCAL_INCLUDE)

ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild:
	-$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(SOURCEC)
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
	$(AR) clr $(LIBNAME) $(OBJS)
	$(RM) $(OBJS)
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(WSOURCEC) ; \
 	$(AR) clr $(LDIR)/libpetscfort$(COMM).a $(WOBJS) ; \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
