/* nbrs.c */
/* Fortran interface file */
#include "tools.h"
#include "comm/comm.h"

#ifdef POINTER_64_BITS
extern void *__ToPointer();
extern int __FromPointer();
extern void __RmPointer();
#else
#define __ToPointer(a) (a)
#define __FromPointer(a) (int)(a)
#define __RmPointer(a)
#endif

#ifdef FORTRANCAPS
#define psnbrring_ PSNBRRING
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define psnbrring_ psnbrring
#endif
 int  psnbrring_( offset, wrap, procset)
int*offset,*wrap;
ProcSet *procset;
{
return PSNbrRing(*offset,*wrap,
	(ProcSet* )__ToPointer( *(int*)(procset) ));
}
#ifdef FORTRANCAPS
#define psnbrmesh_ PSNBRMESH
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define psnbrmesh_ psnbrmesh
#endif
 int  psnbrmesh_( offx, offy, wrapx, wrapy, procset)
int*offx,*offy,*wrapx,*wrapy;
ProcSet *procset;
{
return PSNbrMesh(*offx,*offy,*wrapx,*wrapy,
	(ProcSet* )__ToPointer( *(int*)(procset) ));
}
#ifdef FORTRANCAPS
#define psnbrtree_ PSNBRTREE
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define psnbrtree_ psnbrtree
#endif
 int  psnbrtree_( nbr, procset)
PS_Tree_t*nbr;
ProcSet   *procset;
{
return PSNbrTree(*nbr,
	(ProcSet* )__ToPointer( *(int*)(procset) ));
}
#ifdef FORTRANCAPS
#define pisetnbrroutines_ PISETNBRROUTINES
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define pisetnbrroutines_ pisetnbrroutines
#endif
 void  pisetnbrroutines_( tree, ring, mesh2d)
int (*tree)(), (*ring)(), (*mesh2d)();
{
PISetNbrRoutines(tree,ring,mesh2d);
}
#ifdef FORTRANCAPS
#define pigetnbrs_ PIGETNBRS
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define pigetnbrs_ pigetnbrs
#endif
 int  pigetnbrs_( myid, nbrs)
int*myid, *nbrs;
{
return PIGetNbrs(*myid,nbrs);
}
