ITOOLSDIR = ..

ALL: doctext doc2lt

CFLAGS   = $(OPT) -I$(ITOOLSDIR)
CLEANFILES = doctext doc2lt
LIBS      =  -L$(LDIR) -lpecore
LIBBASE   = dummy
doctext: doctext.o doc.o dotfmat.o outtex.o outman.o outhtml.o textb.o
	$(CLINKER) -o doctext $(CFLAGS) $(BASEOPT) doctext.o doc.o \
		dotfmat.o outtex.o outman.o outhtml.o textb.o $(LIBS) $(SLIB)

doc2lt: doc2lt.o doc.o
	$(CLINKER) -o doc2lt $(CFLAGS) $(BASEOPT) doc2lt.o doc.o \
		$(LIBS) $(SLIB)

############ makefile.tree
cctree: ccall
ccforttree: ccfort
cleantree: clean 
	@-if [ -n "$(EXAMPLE_DIRS)" ] ; then \
	for dir in $(EXAMPLE_DIRS) foo ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done ; fi

wrappers:
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
############ makefile.tree

LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)


ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild: 
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
