#ifndef lint
static char vcid[] = "$Id$";
#endif

/*
    This file contains very simple code to hold a common block of text to
    be inserted in responce to a .n name line
 */

#include "tools.h"
#include "system/system.h"
#include <string.h>
#include "doc/doc.h"
 
#define MAX_TEXT_BLOCK 16380
typedef struct _NameBlock {
    char *name;
    int  nbytes;
    char *replacement_text;
    struct _NameBlock *next;
    } NameBlock;

static NameBlock *head  = 0;

/* This routine returns 1 if a * / is found, 0 otherwise.  The input
   character position is the same if * / is NOT found; otherwise it is
   after the * / .
 */
int CheckForEndOfBlock( fin )
FILE *fin;
{
int c1, c2;	

c1 = fgetc( fin );
if (c1 == '*') {
    c2 = fgetc( fin );
    if (c2 == '/') {
        /* Found end of text */
	return 1;
  	}
    else {
        ungetc( (char)c2, fin );
        ungetc( (char)c1, fin );
        }
    }
else {
    ungetc( (char)c1, fin );
    }

return 0;    
}

SaveName( fin, name )
FILE *fin;
char *name;
{
NameBlock *new;
int       c, cnt;

new = NEW(NameBlock);   CHKPTR(new);

new->name = (char *)MALLOC( strlen( name ) + 1 );
CHKPTR(new->name);
strcpy(new->name, name );

new->next = head;
head = new;

new->replacement_text = (char *)MALLOC( MAX_TEXT_BLOCK );
CHKPTR(new->replacement_text);

cnt = 0;
while (cnt < MAX_TEXT_BLOCK && (c = fgetc(fin)) != EOF) {
    /* Look for N * / */
    if (c == 'N') {
	if(CheckForEndOfBlock( fin )) break;
        }
    new->replacement_text[cnt++] = c;
    }
new->replacement_text[cnt] = 0;
new->nbytes = cnt;

/* Could trim storage here ... */
}
    
int IncludeNameBlock( fout, name )
FILE *fout;
char *name;
{
NameBlock *b;

b = head;
while (b) {
    if (strcmp( name, b->name ) == 0) {
    	/* This assumes that there is no processing of the text; this
    	   is a bad assumption, but it is the best we can do quickly
    	 */
    	fputs( b->replacement_text, fout );
    	return 1;
        }
    b = b->next;
    }
return 0;
}
