
/*
      An index set is essentially a subset of the integers
*/
#if !defined(__INDEXSET)
#define __INDEXSET
#include "packages.h"

typedef struct _IS* IS;

/* Routines */
#ifdef ANSI_ARG
#undef ANSI_ARG
#endif
#ifdef __STDC__
#define ANSI_ARGS(a) a
#else
#define ANSI_ARGS(a) ()
#endif

IS    ISCreateSequential       ANSI_ARGS((int,int *));
IS    ISCreateStrideSequential ANSI_ARGS((int,int,int));
IS    ISCreateRangeSequential  ANSI_ARGS((int,int,int));

#if defined(COMM_COMPONENT)
IS    ISCreateChameleon        ANSI_ARGS((ProcSet *,int,int *)); 
#endif

int*  ISGetIndices             ANSI_ARGS((IS));
void  ISRestoreIndices         ANSI_ARGS((IS,int *));
int   ISGetSize                ANSI_ARGS((IS));
int   ISGetLocalSize           ANSI_ARGS((IS));
int   ISGetPosition            ANSI_ARGS((IS,int));
void  ISDestroy                ANSI_ARGS((IS));

#endif
