#ifndef __PMAPPING
#define __PMAPPING

#include "comm/comm.h"
/*
  This structure holds the mapping functions to and from the local and global
  mappings.

  The routines have the interface
  ltog( int *l, int n, int *g, ctx, ltogctx )
  gtol( int *g, int n, int *l, ctx, gtolctx )
  gtop( int *g, int n, int *p, ctx, gtopctx )

  where the first argument is the input, 
  the second is the length of the input,
  the third is the output, and
  the fourth and fifth are the appropriate context.

  Eventually, we'll probably want to put these routines into their own
  directory, particularly once there are interfaces to PARTI and its
  successors.
 */

typedef struct PVimapping *PVmapping;

#ifdef __STDC__
#define ANSI_ARGS(a) a
#else
#define ANSI_ARGS(a) ()
#endif

extern PVmapping PVMapCreate ANSI_ARGS(( ProcSet *pset, int nl, int ng, 
					 int *g ));
extern void PVMapDestroy ANSI_ARGS(( PVmapping ));
#endif
