/* isetr.c */
/* Fortran interface file */
#include "tools.h"

#ifdef POINTER_64_BITS
extern void *__ToPointer();
extern int __FromPointer();
extern void __RmPointer();
#else
#define __ToPointer(a) (a)
#define __FromPointer(a) (int)(a)
#define __RmPointer(a)
#endif

#include "set/iset.h"
#ifdef FORTRANCAPS
#define isralloc_ ISRALLOC
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define isralloc_ isralloc
#endif
 int isralloc_( s, e, stride)
int*s,*e,*stride;
{
return __FromPointer( (void *)( ISRAlloc(*s,*e,*stride) ));
}
#ifdef FORTRANCAPS
#define isrdestroy_ ISRDESTROY
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define isrdestroy_ isrdestroy
#endif
 void  isrdestroy_( is)
ISet *is;
{
ISRDestroy(
	(ISet* )__ToPointer( *(int*)(is) ));
}
#ifdef FORTRANCAPS
#define isrunion_ ISRUNION
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define isrunion_ isrunion
#endif
 void  isrunion_( a, b, c)
ISetRange *a, *b, *c;
{
ISRUnion(
	(ISetRange* )__ToPointer( *(int*)(a) ),
	(ISetRange* )__ToPointer( *(int*)(b) ),
	(ISetRange* )__ToPointer( *(int*)(c) ));
}
#ifdef FORTRANCAPS
#define isrintersection_ ISRINTERSECTION
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define isrintersection_ isrintersection
#endif
 void  isrintersection_( a, b, c)
ISetRange *a, *b, *c;
{
ISRIntersection(
	(ISetRange* )__ToPointer( *(int*)(a) ),
	(ISetRange* )__ToPointer( *(int*)(b) ),
	(ISetRange* )__ToPointer( *(int*)(c) ));
}
#ifdef FORTRANCAPS
#define isrintersectionnotnull_ ISRINTERSECTIONNOTNULL
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define isrintersectionnotnull_ isrintersectionnotnull
#endif
 int  isrintersectionnotnull_( a, b)
ISetRange *a, *b;
{
return ISRIntersectionNotNull(
	(ISetRange* )__ToPointer( *(int*)(a) ),
	(ISetRange* )__ToPointer( *(int*)(b) ));
}
#ifdef FORTRANCAPS
#define isrcompintersection_ ISRCOMPINTERSECTION
#elif !defined(FORTRANUNDERSCORE) && !defined(FORTRANDOUBLEUNDERSCORE)
#define isrcompintersection_ isrcompintersection
#endif
 void  isrcompintersection_( a, b, c)
ISetRange *a, *b, *c;
{
ISRCompIntersection(
	(ISetRange* )__ToPointer( *(int*)(a) ),
	(ISetRange* )__ToPointer( *(int*)(b) ),
	(ISetRange* )__ToPointer( *(int*)(c) ));
}
