/* $Id: ckpriv.h,v 1.1 1994/10/31 15:56:29 curfman Exp $ */

/* 
  This file contains the cookie definitions.  
 */

#ifndef _PETSC_COOKIES
#define _PETSC_COOKIES

/* Cookies for various PETSc contexts */

#define SP_COOKIE		0x707070	/* SpMat */
#define SP_INVALID_COOKIE	0x707071
#define SV_COOKIE		0x505050	/* SVctx */
#define SV_INVALID_COOKIE	0x505051
#define NL_COOKIE		0x606060	/* NLCtx */
#define NL_INVALID_COOKIE	0x606061

/* parallel cookies */
#define PSP_COOKIE		0x777070	/* PSPMat */
#define PSP_INVALID_COOKIE	0x777071
#define PSp_COOKIE		0x777770	/* PSpMat - old version */
#define PSp_INVALID_COOKIE	0x777771
#define PSV_COOKIE		0x555050	/* PSVctx */
#define PSV_INVALID_COOKIE	0x555051

#if defined(DEBUG_ALL)
#define CHKCOOKIE(ctx,cookieval) if ((ctx)->cookie != cookieval) \
       {SETERRC(1,"Bad context"); return;}
#define CHKCOOKIEN(ctx,cookieval) if ((ctx)->cookie != cookieval) \
       {SETERRC(1,"Bad context"); return 0;}
#else
#define CHKCOOKIE(ctx,cookieval)
#define CHKCOOKIEN(ctx,cookieval)
#endif

#endif
