ITOOLSDIR = /home/gropp/tools.n

ITOOLSDIR = ..

ALL: lib workers
CFLAGS    = $(OPT) -I$(ITOOLSDIR) 
SOURCEC   = arch.c comsort.c daytime.c exitall.c fargs.c \
	    file.c flog.c fp.c getopts.c memusage.c \
	    nreg.c rdfloat.c resrc.c rlimit.c rndm.c safewr.c \
	    state.c system.c pprint.c \
	    syhelp.c txt.c error.c tr.c sbcnst.c uninit.c ptrcvt.c sigchk.c
SOURCEF  =
WSOURCEC   = archf.c comsortf.c daytimef.c exitallf.c fargsf.c \
	    filef.c fpf.c \
	    nregf.c rdfloatf.c resrcf.c rlimitf.c safewrf.c \
	    statef.c systemf.c \
	    uninitf.c statehf.c
SOURCEH  = system.h sbcnst.h flog.h nreg.h state.h
OBJSC      = arch.o comsort.o daytime.o exitall.o fargs.o \
	    file.o flog.o fp.o getopts.o memusage.o \
	    nreg.o rdfloat.o resrc.o rlimit.o rndm.o safewr.o \
	    state.o system.o pprint.o \
	    syhelp.o txt.o error.o tr.o sbcnst.o uninit.o ptrcvt.o sigchk.o
WOBJS      = archf.o comsortf.o daytimef.o exitallf.o fargsf.o \
	    filef.o fpf.o \
	    nregf.o rdfloatf.o resrcf.o rlimitf.o safewrf.o \
	    statef.o systemf.o \
	    uninitf.o statehf.o
OBJSF =
LOCAL_INCLUDE = $(SOURCEH)
LIBBASE = libpecore
DIRS = time
CLEANFILES = example example.o example2 example2.o 

example_progs: 
run_examples:
test_progs:
run_tests:

# This is because I got sick of different examples and 
# changing makefiles for parallel and sequential code
workers: fmain.c cmain.c
	$(CC) -c $(CFLAGS) $(BASEOPT) fmain.c cmain.c
	mv fmain.o $(LDIR)/fmain.o
	mv cmain.o $(LDIR)/cmain.o

example: example.c lib
	$(CC) $(CFLAGS) $(BASEOPT) -o example example.c $(LIBNAME)
	rm example.o

tsort: tsort.c 
	$(CC) $(CFLAGS) $(BASEOPT) -o tsort tsort.c $(LIBNAME)

maltest: maltest.c 
	$(CC) $(CFLAGS) $(BASEOPT) -o maltest maltest.c $(LIBNAME)

sbtest: sbtest.c 
	$(CC) $(CFLAGS) $(BASEOPT) -o sbtest sbtest.c $(LIBNAME)
	
farg: farg.f
	$(FC) $(CFLAGS) $(BASEOPT) -o farg farg.f $(FLIB) $(LIBNAME)

# This looks for signals used by an environment.  In this case, just the
# raw startup environment.
testsigs:
	$(CC) $(CFLAGS) $(BASEOPT) -o sigchk -DCheckSignals sigchk.c
	sigchk

# IRIX requires -lfpe
sn: sn.c lib
	$(CC) $(CFLAGS) $(BASEOPT) -o sn sn.c $(LIBNAME) $(LDIR)tools.a -lm 
sn860: sn.c fsr860.s lib
	$(CC) $(CFLAGS) $(BASEOPT) -o sn860 sn.c fsr860.s $(LIBNAME) $(LDIR)tools.a -lm


	
############ makefile.sdir
cctree:
	-$(MAKE) BOPT=$(BOPT) -f makefile ccbuild
	@-for dir in $(DIRS) ; do \
		if [ -s $$dir ] ; then ( cd $$dir ; echo "$$dir" ; \
		$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) \
		-f makefile cctree ) ; fi ; done
	$(RANLIB) $(LIBNAME)
ccforttree:
	-$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) -f makefile ccfort
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then ( cd $$dir ; \
		echo $$dir ; \
		$(MAKE) BOPT=$(BOPT) COMM=$(COMM) ARCH=$(ARCH) \
		-f makefile ccforttree ) ; fi ; done

cleantree:
	-$(MAKE) -f makefile clean
	@-for dir in $(DIRS) $(EXAMPLE_DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile cleantree ) ; fi ; \
	done

wrappers:
	-$(ITOOLSDIR)/c2fort/bfort -nomsgs -anyname -mapptr -I pubinc $(SOURCEC) $(SOURCEH)
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile wrappers ) ; fi ; \
	done
manpages:
	-$(ITOOLSDIR)/doc/doctext -jumpfile $(ITOOLSDIR)/routine.list \
		-mpath $(ITOOLSDIR)/man/man`cat mansec` -ext `cat mansec`  \
		-I pubinc $(SOURCEC) $(SOURCEH)
	-$(ITOOLSDIR)/doc/doc2lt $(SOURCEC) $(SOURCEH) >> \
		$(ITOOLSDIR)/docs/rsum/rsum`cat mansec`.tmp
	@-for dir in $(DIRS) ; do if [ -s $$dir ] ; then \
	( cd $$dir ; echo $$dir ; $(MAKE) -f makefile manpages ) ; fi ; \
	done
############ makefile.sdir
LDIR    = $(ITOOLSDIR)/libs/libs$(BOPT)/$(ARCH)
LIBNAME = $(LDIR)/$(LIBBASE).a
SOURCE  = $(SOURCEC) $(SOURCEF)
OBJS    = $(OBJSC) $(OBJSF)
SHELL   = /bin/sh
TOOLARCH = $(ARCH)

include $(ITOOLSDIR)/bmake/$(ARCH).x11
include $(ITOOLSDIR)/bmake/$(ARCH).$(BOPT)
include $(ITOOLSDIR)/bmake/$(ARCH)

$(LIBNAME)($(OBJS)): $(LOCAL_INCLUDE)

ccall: ccbuild
	$(RANLIB) $(LIBNAME)
ccbuild: 
	-$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(SOURCEC)
	if [ "$(SOURCEF)" != "" ] ; then \
	    $(FC) -c $(FFLAGS) $(BASEOPTF) $(SOURCEF) ; \
	fi
	-$(AR) clr $(LIBNAME) $(OBJS)
	$(RM) $(OBJS)
ccfort:
	@-if [ -n "$(WOBJS)" ] ; then \
	$(CC) -c $(CDEFS) $(CFLAGS) $(BASEOPT) -I$(ITOOLSDIR) $(WSOURCEC) ; \
 	$(AR) clr $(LDIR)/libpetscfort.a $(WOBJS) ; \
	$(RM) $(WOBJS) ; \
	fi
clean:
	-/bin/rm -f *.o *~ $(CLEANFILES)
