#ifndef lint
static char vcid[] = "$Id: ptrcvt.c,v 1.3 1995/02/13 16:31:31 gropp Exp $";
#endif

/* 
   This file contains routines to convert to and from pointers
 */

#include <stdio.h>

typedef struct _PtrToIdx {
    int idx;
    void *ptr;
    struct _PtrToIdx *next;
    } PtrToIdx;
#ifdef __MSDOS__
#define MAX_PTRS 1000
#else
#define MAX_PTRS 10000
#endif
static PtrToIdx PtrArray[MAX_PTRS];
static PtrToIdx *avail=0, *head=0;
static int      DoInit = 1;

static void __InitPointer()
{
int  i;

for (i=0; i<MAX_PTRS-1; i++) {
    PtrArray[i].next = PtrArray + i + 1;
    PtrArray[i].idx  = i;
    }
PtrArray[MAX_PTRS-1].next = 0;
/* We simply skip the first entry, so that an index of zero is never used.
   We could add/subtract one, but this makes the code messy and more fragile
 */
avail		 = PtrArray + 1;
PtrArray[0].next = 0;
head		 = 0;
}

void *__ToPointer( idx )
int idx;
{
if (DoInit) {
    DoInit = 0;
    __InitPointer();
    }
if (idx < 0 || idx >= MAX_PTRS) {
    fprintf( stderr, "Could not convert index %d into a pointer\n", idx );
    exit(1);
    }
return PtrArray[idx].ptr;
}

int __FromPointer( ptr )
void *ptr;
{
int idx;
if (DoInit) {
    DoInit = 0;
    __InitPointer();
    }
if (avail) {
    idx               = avail->idx;
    avail             = avail->next;
    PtrArray[idx].ptr = ptr;
    return idx;
    }
else {
    /* This isn't the right thing to do, but it isn't too bad */
    fprintf( stderr, "Pointer conversions exhausted\n" );
    exit(1);
    }
}

void __RmPointer( idx )
int idx;
{
if (DoInit) {
    DoInit = 0;
    __InitPointer();
    }
if (idx < 0 || idx >= MAX_PTRS) {
    fprintf( stderr, "Could not convert index %d into a pointer\n", idx );
    exit(1);
    }
PtrArray[idx].next = avail;
avail              = PtrArray + idx;
}
